com.smartxls

## Class BookPivotRangeModel

- java.lang.Object
- - com.smartxls.BookPivotRangeModel

-     public class BookPivotRangeModel
      extends java.lang.Object

  represent the pivotrange model

- - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `BookPivotRange` | `getActivePivotRange()` Deprecated. relaced by workbook.getActivePivotRange(...)
    `void` | `refreshRange(BookPivotRange pivotRange)` Deprecated. relaced by BookPivotRange.refreshRange()
    `void` | `setDataQuery(SXQuery query)` Deprecated. relaced by workbook.addPivotRange(com.smartxls.data.SXQuery query, int dstSheet, int dstRow1, int dstCol1)
    `void` | `setList(java.lang.String range)` Deprecated. relaced by workbook.addPivotRange(...)
    `void` | `setLocation(int sheet, int row, int col)` Deprecated. relaced by workbook.addPivotRange(...)

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setList

          public void setList(java.lang.String range)
                       throws java.lang.Exception

      Deprecated. relaced by workbook.addPivotRange(...)
      Sets the Excel list that should be used for the PivotRange being defined.
      Parameters:
        `range` - - The range identifying the Excel list.
      Throws:
        `java.lang.Exception` - exception

    - #### setDataQuery

          public void setDataQuery(SXQuery query)
                            throws java.lang.Exception

      Deprecated. relaced by workbook.addPivotRange(com.smartxls.data.SXQuery query, int dstSheet, int dstRow1, int dstCol1)
      Sets the Excel external data source that should be used for the PivotRange being defined.
      Parameters:
        `query` - The range identifying the Excel list.
      Throws:
        `java.lang.Exception`

    - #### setLocation

          public void setLocation(int sheet,
                                  int row,
                                  int col)
                           throws java.lang.Exception

      Deprecated. relaced by workbook.addPivotRange(...)
      Defines the location of the PivotRange.
      Parameters:
        `sheet` - The worksheet that contains the PivotRange.
        `row` - The row where the PivotRange starts.
        `col` - The column where the PivotRange starts.
      Throws:
        `java.lang.Exception` - exception

    - #### getActivePivotRange

          public BookPivotRange getActivePivotRange()

      Deprecated. relaced by workbook.getActivePivotRange(...)
      Returns the currently selected PivotRange.
      Returns:
        The currently selected PivotRange

    - #### refreshRange

          public void refreshRange(BookPivotRange pivotRange)

      Deprecated. relaced by BookPivotRange.refreshRange()
      refresh the pivot table from the data source
      Parameters:
        `pivotRange` - active range